Skip to navigation

Get users from configured Connect service

View as Markdown

Returns all users from the configured Connect service.

To use this method, you must be an account administrator and Connect must be enabled on your account.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

connectIdstringRequired
The ID of the custom Connect configuration being accessed.

Query parameters

countstringOptional
The maximum number of results to return.
domain_users_onlystringOptional
email_substringstringOptional
Filters returned user records by full email address or a substring of email address.
start_positionstringOptional

The position within the total result set from which to start returning values. The value thumbnail may be used to return the page image.

statusstringOptional
The status of the item.
user_name_substringstringOptional

Filters results based on a full or partial user name.

Note: When you enter a partial user name, you do not use a wildcard character.

Response

Successful response.
endPositionstringOptional
The last index position in the result set.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional

The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.

startPositionstringOptional
The starting index position of the current result set.
totalSetSizestringOptional

The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

userslist of objectsOptional
User management information.

Errors

400
Bad Request Error